Bug 1214457 (CVE-2015-3150) - CVE-2015-3150 abrt: abrt-dbus does not guard against crafted problem directory path arguments
Summary: CVE-2015-3150 abrt: abrt-dbus does not guard against crafted problem director...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-3150
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1214609 1214610 1214612 1218236
Blocks: 1211224 1214172
TreeView+ depends on / blocked
 
Reported: 2015-04-22 18:20 UTC by Florian Weimer
Modified: 2019-09-29 13:31 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that the abrt-dbus D-Bus service did not properly check the validity of the problem directory argument in the ChownProblemDir, DeleteElement, and DeleteProblem methods. A local attacker could use this flaw take ownership of arbitrary files and directories, or to delete files and directories as the root user.
Clone Of:
Environment:
Last Closed: 2015-07-09 05:35:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1083 normal SHIPPED_LIVE Important: abrt security update 2015-06-09 23:48:24 UTC

Description Florian Weimer 2015-04-22 18:20:27 UTC
It was discovered that the abrt-dbus D-Bus service does not properly
check the validity of the problem directory argument in the
ChownProblemDir, DeleteElement, and DeleteProblem methods.  A local
attacker could use this flaw take ownership of arbitrary files and
directories, or to delete files and directories as the root user.

Acknowledgements:

This issue was discovered by Florian Weimer of Red Hat Product Security.

Comment 4 errata-xmlrpc 2015-06-09 19:49:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:1083 https://rhn.redhat.com/errata/RHSA-2015-1083.html


Note You need to log in before you can comment on or make changes to this bug.